summaryrefslogtreecommitdiff
path: root/refresh-metrics.sh
diff options
context:
space:
mode:
authorJakob Borg <jakob@kastelo.net>2023-08-18 15:13:30 +0200
committerGitHub <noreply@github.com>2023-08-18 15:13:30 +0200
commitcf42cb15fe63602630492bb788e8f6f1b691b172 (patch)
tree6942c77cf576823457ef1f312a177cdf79c09c52 /refresh-metrics.sh
parentc118b8d36cf23bdfd4a44003b33b4ee34ebb4998 (diff)
downloadsyncthing-docs-cf42cb15fe63602630492bb788e8f6f1b691b172.zip
Add documentation for metrics endpoint (#816)
Co-authored-by: André Colomb <src@andre.colomb.de>
Diffstat (limited to 'refresh-metrics.sh')
-rwxr-xr-xrefresh-metrics.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/refresh-metrics.sh b/refresh-metrics.sh
new file mode 100755
index 0000000..b7cbc70
--- /dev/null
+++ b/refresh-metrics.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -euo pipefail
+
+rm -rf _syncthing
+git clone --depth 1 https://github.com/syncthing/syncthing.git _syncthing
+pushd _script
+go run ./find-metrics ../_syncthing > ../includes/metrics-list.rst
+popd